/*******************************************************************************
 * Instance tříd implementujících rozhraní ITvar ...
 *
 * @author    Luboš Pavlíček
 * @version   7. října 2012
 * 
 * změny:
 * 7. října 2012 - doplnění metody polomerOpsaneKruznice()
 */
public interface ITvar
{
    //== Deklarované metody ========================================================
    /**
     * metoda vrací obvod dvourozměrného tvaru
     * 
     * @return obvod
     */
    public double obvod();
    
    /**
     * metoda vrací obsah (plochu) dvourozměrného tvaru
     * 
     * @return obsah (plocha)
     */
    public double obsah();

    /**
     * metoda vrací poloměr opsané kružnice dvourozměrného tvaru
     * 
     * @return poloměr opsané kružnice
     */
    public double polomerOpsaneKruznice();
    
}
